Package org.silverpeas.components.quizz

## Class QuestionHelper

- java.lang.Object
- - org.silverpeas.components.quizz.QuestionHelper

-     public class QuestionHelper
      extends Object

  Author:
    ehugonnet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuestionHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected static void` | `addImageToAnswer​(org.silverpeas.core.questioncontainer.answer.model.Answer answer, org.apache.commons.fileupload.FileItem item, QuestionForm form, String componentId, String subdir)` |
    `static List<org.silverpeas.core.questioncontainer.answer.model.Answer>` | `extractAnswer​(List<org.apache.commons.fileupload.FileItem> items, QuestionForm form, String componentId, String subdir)` |
    `static boolean` | `isCorrectFile​(org.apache.commons.fileupload.FileItem filePart)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuestionHelper

          public QuestionHelper()

  - ### Method Detail

    - #### isCorrectFile

          public static boolean isCorrectFile​(org.apache.commons.fileupload.FileItem filePart)

    - #### extractAnswer

          public static List<org.silverpeas.core.questioncontainer.answer.model.Answer> extractAnswer​(List<org.apache.commons.fileupload.FileItem> items,
                                                                                                      QuestionForm form,
                                                                                                      String componentId,
                                                                                                      String subdir)
                                                                                               throws IOException

      Throws:
        `IOException`

    - #### addImageToAnswer

          protected static void addImageToAnswer​(org.silverpeas.core.questioncontainer.answer.model.Answer answer,
                                                 org.apache.commons.fileupload.FileItem item,
                                                 QuestionForm form,
                                                 String componentId,
                                                 String subdir)
                                          throws IOException

      Throws:
        `IOException`